Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface JDBCResourceMBean

All Superinterfaces:
  EventProvider, J2EEManagedObjectMBean, J2EEResourceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean, StateManageable

All Known Implementing Classes:
  JDBCResource

public interface JDBCResourceMBean
extends StateManageable, J2EEResourceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.management.j2ee.StateManageable
`CREATED, DESTROYED, FAILED, REGISTERED, RUNNING, STARTING, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addChild(javax.management.ObjectName pChild)`
`String` | `getjdbcDataSource(int pIndex)`
`String[]` | `getjdbcDataSources()`
`void` | `removeChild(javax.management.ObjectName pChild)`

Methods inherited from interface org.jboss.management.j2ee.StateManageable
`getStartTime, getState, getStateString, mejbStart, mejbStartRecursive, mejbStop`

Methods inherited from interface org.jboss.management.j2ee.EventProvider
`getEventType, getEventTypes`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getjdbcDataSources

    public String[] getjdbcDataSources()

### getjdbcDataSource

    public String getjdbcDataSource(int pIndex)

### addChild

    public void addChild(javax.management.ObjectName pChild)

  Specified by:
    `addChild` in interface `J2EEManagedObjectMBean`

### removeChild

    public void removeChild(javax.management.ObjectName pChild)

  Specified by:
    `removeChild` in interface `J2EEManagedObjectMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.